seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/12/05, 00:52:44


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: [solved] Do NOT dist-upgrade  (Read 4278 times)

0 Members and 1 Guest are viewing this topic.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.453
[solved] Do NOT dist-upgrade
« on: 2013/12/23, 09:06:11 »
There is a broken new version of OpenSSL, that will prevent rebooting into your graphical environment.
Please wait until further notice.


greetz
devil
« Last Edit: 2014/01/03, 09:12:36 by melmarker »

Offline Jörg

  • User
  • Posts: 95
Re: Do NOT dist-upgrade
« Reply #1 on: 2013/12/23, 09:28:06 »
Unfortunately I did a DU 30 minutes ago on my Asus-Eee-PC and your warning came to late and so I cannot login anymore. I am very curious how this problem will be solved.

Greetings, merry christmas and a happy & healthy 2014 for the whole "siduction-community",

Jörg


Offline clubex

  • User
  • Posts: 265
Re: Do NOT dist-upgrade
« Reply #2 on: 2013/12/23, 09:57:37 »
Alas +1




Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.453
Re: Do NOT dist-upgrade
« Reply #3 on: 2013/12/23, 10:29:12 »

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.453
Re: Do NOT dist-upgrade
« Reply #4 on: 2013/12/23, 11:04:46 »
Temporary fix for now: rebuild openssh, reboot, enjoy:
Code: [Select]
apt-get build-dep openssh
cd /tmp
apt-get source openssh
cd openssh*
debian/rules binary
dpkg -i ../*.deb


You probably need to remove the # in front of deb-src stanza in /etc/apt/sources.list/debian.list and apt-get update before building.


EDIT:  There is a fix in our fixes repo, until the debian package arrives. No need to build by yourself.

greetz
devil
« Last Edit: 2013/12/23, 14:51:42 by devil »

Offline KidIcarus

  • Newbie
  • Posts: 4
Re: Do NOT dist-upgrade
« Reply #5 on: 2013/12/23, 11:53:34 »
Temporary fix for now: rebuild openssh, reboot, enjoy:
Code: [Select]
apt-get build-dep openssh
cd /tmp
apt-get source openssh
cd openssh*
debian/rules binary
dpkg -i ../*.deb




You probably need to remove the # in front of deb-src stanza in /etc/apt/sources.list/debian.list and apt-get update before building.


greetz
devil


Danke. Hat alles einwandfrei funktioniert.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.453
Re: Do NOT dist-upgrade
« Reply #6 on: 2013/12/23, 12:27:21 »
The issue is fixed in Debian and will be in the archive as openssh 1:6.4p1-1.1 with the next mirror sync.


greetz
devil

Offline Jörg

  • User
  • Posts: 95
Re: Do NOT dist-upgrade
« Reply #7 on: 2013/12/23, 12:39:24 »
Problem solved after DU with 2 "repaired" openssh*-files (5 minutes ago!).

Greetings,
Jörg


Offline michaa7

  • User
  • Posts: 2.128
Re: Do NOT dist-upgrade
« Reply #8 on: 2013/12/23, 14:02:55 »
There is a broken new version of OpenSSL, that will prevent rebooting into your graphical environment.
Please wait until further notice.



I know it's solved now, but was it openssh or openssl?

Here is no openssh
Quote
# apt-cache policy openssh
N: Paket openssh kann nicht gefunden werden.
it's ssh or ssh-server/client  and openssl shows somewhat different version numbers:
Quote
# apt-cache policy openssl
openssl:
  Installiert:           1.0.1e-4
  Installationskandidat: 1.0.1e-5


Now I guess ssh is meant:
Quote
# apt-cache policy ssh
ssh:
  Installiert:           1:6.4p1-1
  Installationskandidat: 1:6.4p1-1.1
  Versionstabelle:


But there still is a doubt whether or not the fixed package really is the one which was broken (i.e. there is nothing solved when openssl was broken and now ssh ist "fixed")


???
« Last Edit: 2013/12/23, 14:20:09 by michaa7 »
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.453
Re: Do NOT dist-upgrade
« Reply #9 on: 2013/12/23, 14:13:00 »
The bug was in openssh.

Offline michaa7

  • User
  • Posts: 2.128
Re: Do NOT dist-upgrade
« Reply #10 on: 2013/12/23, 14:21:21 »
There is no openssh, but ssh and openssh-client, openssh-server! And the fixed version number corresponds to ssh and it's dependencies.
« Last Edit: 2013/12/23, 14:39:42 by michaa7 »
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.453
[solved] Re: Do NOT dist-upgrade
« Reply #11 on: 2013/12/23, 22:07:21 »
The fixed debian packages are in the repos, so everything is fine.


greetz
devil

Offline GoinEasy9

  • User
  • Posts: 473
Re: [solved] Do NOT dist-upgrade
« Reply #12 on: 2013/12/24, 04:20:42 »
I got hit with this last night, and thought that it might have something to do with console-common and keymap.sh, since I forgot to move keymap.sh before doing the dist-upgrade.  I didn't have time to look at it further, and, I'm happy someone identified the problem correctly.  The du tonight solved the problem. 

Thanks
Linux Counter number 348347